Page MenuHomePhabricator

Deploy query builder to microsites (on top of the wdqs-ui)
Closed, ResolvedPublic8 Estimated Story Points

Description

In T264710#6562678, T264710#6573814 and T264710#6586070 as part of T264710: Host static sites on kubernetes it was decided that the query ui and querybuilder ui would be deployed on the "static sites" infrastructure. See https://wikitech.wikimedia.org/wiki/Microsites

This ticket currently serves as a placeholder for the Wikidata Query Builder team to use when needed.

The wdqs GUI was moved to microsites in T266702: Move WDQS UI to microsites
Similar steps will be needed for the querybuilder deployment.
Per Lydia in T266703#6590996 the querybuilder will need to live at /srv/org/wikidata/query/querybuilder

Predicted general path to deployment:

  • Deal with follow-ups from the security review T264822
  • Create a repository containing the built code to be deployed (and needed infrastructure / build process around that)
  • Puppet change adding the site to microsites
  • Test that the site is accessible inside the cluster
  • Change the traffic layer so that public access is given at the correct path for the site
  • Puppet tests for the microsite
  • Update microsites docs page on wikitech stating this site is deployed on microsites

Acceptance Criteria:

  • querybuilder is deployed to production

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptOct 28 2020, 7:55 PM
Addshore added a subscriber: Lydia_Pintscher.

@Lydia_Pintscher Do we want to serve the querybuilder under query.wikidata.org? or under some other domain?

@Lydia_Pintscher Do we want to serve the querybuilder under query.wikidata.org? or under some other domain?

My plan was to put it at query.wikidata.org/querybuilder or somesuch.

See progress in T266702#6592812 From deployment and other internal servers you can already talk to query.wikidata.org on miscweb, it serves what is in the deploy repo but see follow-up comments. And of course would be pending an ATS change before getting any traffic from external.

@Dzahn so the "querybuilder" is a separate frontend, that we would want to deploy to query.wikidata.org/querybuilder.
Do you have any views on the 2 "possible approaches" that are detailed in this ticket description?

@Addshore It's easiest if there are 2 separate deploy repos and both also do not live inside each other. 2 repos that git clone into 2 separate directories both under /srv/org/wikidata but on the same hierarchy level. Then the webserver config can map their docroots to desired URLs.

P.S. I'm currently on vacation until Nov 16.

jijiki triaged this task as Medium priority.Nov 10 2020, 4:22 PM

@Addshore I think all the check boxes (except maybe the last one) on this ticket are already done?

@Addshore I think all the check boxes (except maybe the last one) on this ticket are already done?

This ticket is for a different application / site yet to be deployed :)

Michael renamed this task from Deploy WDQS query builder to microsites to ๐Ÿ›‘ Deploy WDQS query builder to microsites.Apr 8 2021, 10:03 AM

Change 700317 had a related patch set uploaded (by Ladsgroup; author: Ladsgroup):

[operations/puppet@production] microsites: Add Query Builder subpage to wdqs gui

https://gerrit.wikimedia.org/r/700317

Change 708398 had a related patch set uploaded (by Ladsgroup; author: Ladsgroup):

[integration/config@master] jjb: [wikidata] Introduce new job wikidata-query-gui-build

https://gerrit.wikimedia.org/r/708398

Change 708460 had a related patch set uploaded (by Ladsgroup; author: Ladsgroup):

[wikidata/query-builder/deploy@master] Add .gitreview

https://gerrit.wikimedia.org/r/708460

Change 708461 had a related patch set uploaded (by Ladsgroup; author: Ladsgroup):

[wikidata/query-builder/deploy@master] Initial build

https://gerrit.wikimedia.org/r/708461

Addshore changed the task status from Stalled to Open.Jul 28 2021, 10:30 AM
Addshore set the point value for this task to 8.
Michael renamed this task from ๐Ÿ›‘ Deploy WDQS query builder to microsites to Deploy WDQS query builder to microsites.Jul 28 2021, 10:32 AM
Addshore renamed this task from Deploy WDQS query builder to microsites to Deploy query builder to microsites (on top of the wdqs-ui).Jul 28 2021, 10:48 AM

Change 708460 merged by Ladsgroup:

[wikidata/query-builder/deploy@master] Add .gitreview

https://gerrit.wikimedia.org/r/708460

Change 708461 merged by Ladsgroup:

[wikidata/query-builder/deploy@master] Initial build

https://gerrit.wikimedia.org/r/708461

Change 708629 had a related patch set uploaded (by Ladsgroup; author: Ladsgroup):

[wikidata/query-builder/deploy@production] Initial build

https://gerrit.wikimedia.org/r/708629

Change 708398 merged by jenkins-bot:

[integration/config@master] jjb: [wikidata] Introduce new job wikidata-query-builder-build

https://gerrit.wikimedia.org/r/708398

Change 708629 merged by Ladsgroup:

[wikidata/query-builder/deploy@production] Initial build

https://gerrit.wikimedia.org/r/708629

Change 700317 merged by Dzahn:

[operations/puppet@production] microsites: Add Query Builder subpage to wdqs gui

https://gerrit.wikimedia.org/r/700317

Mentioned in SAL (#wikimedia-operations) [2021-08-16T14:42:15Z] <mutante> miscweb - deploying new microsite for Wikidata Query Builder subpage (T266703)

Change 713270 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] wdqs: sync query.wikidata.org preview config with prod config

https://gerrit.wikimedia.org/r/713270

Change 713280 had a related patch set uploaded (by Ladsgroup; author: Amir Sarabadani):

[wikidata/query-builder@master] Change config and variables to actual production

https://gerrit.wikimedia.org/r/713280

Change 713280 merged by jenkins-bot:

[wikidata/query-builder@master] Change config and variables to actual production

https://gerrit.wikimedia.org/r/713280

Change 713282 had a related patch set uploaded (by WDQSGuiBuilder; author: WDQSGuiBuilder):

[wikidata/query-builder/deploy@production] Merging from 0f041142a6c16f6b37fdfeebe53694da149745c2

https://gerrit.wikimedia.org/r/713282

Change 713285 had a related patch set uploaded (by Ladsgroup; author: Amir Sarabadani):

[integration/config@master] jjb: [wikidata] check out to production branch in build

https://gerrit.wikimedia.org/r/713285

Change 713287 had a related patch set uploaded (by WDQSGuiBuilder; author: WDQSGuiBuilder):

[wikidata/query-builder/deploy@production] Merging from 0f041142a6c16f6b37fdfeebe53694da149745c2

https://gerrit.wikimedia.org/r/713287

Change 713287 merged by Ladsgroup:

[wikidata/query-builder/deploy@production] Merging from 0f041142a6c16f6b37fdfeebe53694da149745c2

https://gerrit.wikimedia.org/r/713287

Change 713282 abandoned by Ladsgroup:

[wikidata/query-builder/deploy@production] Merging from 0f041142a6c16f6b37fdfeebe53694da149745c2

Reason:

https://gerrit.wikimedia.org/r/713282

Change 713285 merged by jenkins-bot:

[integration/config@master] jjb: [wikidata] check out to production branch in build

https://gerrit.wikimedia.org/r/713285

Change 713289 had a related patch set uploaded (by Ladsgroup; author: Amir Sarabadani):

[wikidata/query-builder@master] Do not append protocol to the short url

https://gerrit.wikimedia.org/r/713289

Change 713270 merged by Dzahn:

[operations/puppet@production] wdqs: sync query.wikidata.org preview config with prod config

https://gerrit.wikimedia.org/r/713270

Change 713289 merged by jenkins-bot:

[wikidata/query-builder@master] Do not append protocol to the short url

https://gerrit.wikimedia.org/r/713289

Change 713297 had a related patch set uploaded (by WDQSGuiBuilder; author: WDQSGuiBuilder):

[wikidata/query-builder/deploy@production] Merging from 1a10aa55244284eb87851bcc7c141e682597499d

https://gerrit.wikimedia.org/r/713297

Change 713297 merged by Ladsgroup:

[wikidata/query-builder/deploy@production] Merging from 1a10aa55244284eb87851bcc7c141e682597499d

https://gerrit.wikimedia.org/r/713297

Change 713306 had a related patch set uploaded (by Ladsgroup; author: Amir Sarabadani):

[wikidata/query-builder@master] Document deploying to production

https://gerrit.wikimedia.org/r/713306

Change 713454 had a related patch set uploaded (by Ladsgroup; author: Amir Sarabadani):

[operations/puppet@production] wdqs: Avoid add trailing slash for querybuilder

https://gerrit.wikimedia.org/r/713454

Change 713461 had a related patch set uploaded (by Ladsgroup; author: Amir Sarabadani):

[wikidata/query/gui@master] Change path of QueryBuilder for metric gathering to production

https://gerrit.wikimedia.org/r/713461

Change 713461 merged by jenkins-bot:

[wikidata/query/gui@master] Change path of QueryBuilder for metric gathering to production

https://gerrit.wikimedia.org/r/713461

Change 713454 merged by Effie Mouzeli:

[operations/puppet@production] wdqs: Avoid add trailing slash for querybuilder

https://gerrit.wikimedia.org/r/713454

Change 713497 had a related patch set uploaded (by Ladsgroup; author: Amir Sarabadani):

[operations/puppet@production] miscweb: Add query builder to monitoring probes

https://gerrit.wikimedia.org/r/713497

Change 713497 merged by Dzahn:

[operations/puppet@production] miscweb: Add query builder to monitoring probes

https://gerrit.wikimedia.org/r/713497

Change 713306 merged by jenkins-bot:

[wikidata/query-builder@master] Document deploying to production

https://gerrit.wikimedia.org/r/713306